<?xml version="1.0" encoding="utf-8"?>
<!--
Cadence Design Systems 


(C) COPYRIGHT, Cadence Design Systems, Inc. 2013
All Rights Reserved
Licensed Materials - Property of Cadence Design Systems

No part of this file may be reproduced, stored in a retrieval system,
or transmitted in any form or by any means electronic, mechanical,
photocopying, recording, or otherwise without prior written permission
of Cadence Design Systems, Inc. 

WARRANTY:
Use all material in this file at your own risk.  Cadence Design Systems
makes no claims about any material contained in this file.
-->

<xs:schema
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    elementFormDefault="qualified"
    targetNamespace="http://www.cadence.com/xsd/cft"
    xmlns:l="http://www.cadence.com/xsd/cft"
  >


  <xs:complexType name="xmlFileTp" abstract="1">
    <xs:sequence maxOccurs="1" minOccurs="1">
      <xs:any namespace="##other"/>
    </xs:sequence>
    <xs:attribute name="Name" use="required" type="xs:string"/>
  </xs:complexType>
  <xs:complexType name="txtFileType">
    <xs:simpleContent>
      <xs:extension base="xs:string">
        <xs:attribute name="Name" use="required" type="xs:string"/>
      </xs:extension>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="dirType">
    <xs:sequence>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element ref="l:IXml"/>
        <xs:element ref="l:txt"/>
        <xs:element ref="l:dir"/>
      </xs:choice>
    </xs:sequence>
    <xs:attribute name="Name" use="required" type="xs:string"/>
  </xs:complexType>

  <xs:element name="IXml" abstract="1"/>
  <xs:element name="txt" type="l:txtFileType"/>
  <xs:element name="dir" type="l:dirType"/>
  <xs:element name="include">
    <xs:complexType>
      <xs:attribute name="Name" use="required" type="xs:string">
        <xs:annotation>
          <xs:documentation>Path to the included file (absolute or relative to this file)</xs:documentation>
        </xs:annotation>
      </xs:attribute>
    </xs:complexType>
  </xs:element>

</xs:schema>
